Game servers
GET https://alarm.lt/api/game-servers/
curl --request GET \
--url 'https://alarm.lt/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://alarm.lt/api/game-servers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| search | Optional String | The search string. |
| search_by | Optional String | What field are you searching by. Allowed values are: name , target , port. |
| is_enabled | Optional Boolean | |
| type | Optional String | Allowed values: minecraft |
| order_by | Optional String | What field to order the results by. Allowed values are: game_server_id , last_datetime , datetime , last_check_datetime , total_checks , name , uptime , average_response_time , average_online_players , online_players , maximum_online_players. |
| order_type | Optional String | The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering. |
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-03-14 22:26:32",
"next_check_datetime": "2026-03-15 22:26:32",
"is_enabled": true,
"datetime": "2026-03-14 22:26:32",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://alarm.lt/api/game-servers?page=1",
"last": "https://alarm.lt/api/game-servers?page=1",
"next": null,
"prev": null,
"self": "https://alarm.lt/api/game-servers?page=1"
}
}
GET https://alarm.lt/api/game-servers/{game_server_id}
curl --request GET \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": null,
"name": "Minecraft Example",
"type": "minecraft",
"target": "mc.example.com",
"port": 25565,
"settings": {
"check_interval_seconds": 180,
"timeout_seconds": 5
},
"online_players": 100,
"maximum_online_players": 200,
"details": {
"version_code": 1,
"version_name": "",
"favicon": "",
"mod_type": "",
"description": "",
"description_html": ""
},
"uptime": 100,
"downtime": 0,
"average_response_time": 500,
"average_online_players": 100,
"total_checks": 50,
"total_ok_checks": 50,
"total_not_ok_checks": 0,
"last_check_datetime": "2026-03-14 22:26:32",
"next_check_datetime": "2026-03-15 22:26:32",
"is_enabled": true,
"datetime": "2026-03-14 22:26:32",
}
}
POST https://alarm.lt/api/game-servers
| Parameters | Details | Description |
|---|---|---|
| name | Required String | - |
| target | Required String | - |
| port | Optional String | - |
| type | Optional String | Allowed values: minecraft |
| project_id | Optional Integer | - |
| check_interval_seconds | Optional Integer | Allowed values: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (seconds) |
| timeout_seconds | Optional Integer | Allowed values: 1, 2, 3, 5, 10, 25 (seconds) |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://alarm.lt/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
--url 'https://alarm.lt/api/game-servers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=mc.example.com' \
--form 'port=25565' \
{
"data": {
"id": 1
}
}
POST https://alarm.lt/api/game-servers/{game_server_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| target | Optional String | - |
| port | Optional String | - |
| type | Optional String | Allowed values: minecraft |
| project_id | Optional Integer | - |
| check_interval_seconds | Optional Integer | Allowed values: 60, 180, 300, 600, 1800, 3600, 21600, 43200, 86400 (seconds) |
| timeout_seconds | Optional Integer | Allowed values: 1, 2, 3, 5, 10, 25 (seconds) |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1
}
}
DELETE https://alarm.lt/api/game-servers/{game_server_id}
curl --request DELETE \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://alarm.lt/api/game-servers/{game_server_id}' \
--header 'Authorization: Bearer {api_key}' \